<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Welcome to dashboard! &mdash; dashboard 18.07.2023 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            dashboard
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <!-- Local TOC -->
              <div class="local-toc"><ul>
<li><a class="reference internal" href="#">Welcome to dashboard!</a></li>
</ul>
</div>
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">dashboard</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Welcome to dashboard!</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/dash_code.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-dashboard.dashboard">
<span id="welcome-to-dashboard"></span><h1>Welcome to dashboard!<a class="headerlink" href="#module-dashboard.dashboard" title="Permalink to this heading"></a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="dashboard.dashboard.assign_data">
<span class="sig-prename descclassname"><span class="pre">dashboard.dashboard.</span></span><span class="sig-name descname"><span class="pre">assign_data</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.dashboard.assign_data" title="Permalink to this definition"></a></dt>
<dd><p>set global variable</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>value</strong> (<em>int</em>) – number of monte carlo simulation</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>number of monte carlo simulation</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>int</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="dashboard.dashboard.display_click_data">
<span class="sig-prename descclassname"><span class="pre">dashboard.dashboard.</span></span><span class="sig-name descname"><span class="pre">display_click_data</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">clickData</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.dashboard.display_click_data" title="Permalink to this definition"></a></dt>
<dd><p>displays the coordinates that were clickes</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>clickData</strong> (<em>dictonary</em>) – dictonary with data that was clicked</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>message to be displayed</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>string</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="dashboard.dashboard.submit_calculations">
<span class="sig-prename descclassname"><span class="pre">dashboard.dashboard.</span></span><span class="sig-name descname"><span class="pre">submit_calculations</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">text_submit</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">click_submit</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">click_coor</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">x_coord</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">y_coord</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mc_simulation</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#dashboard.dashboard.submit_calculations" title="Permalink to this definition"></a></dt>
<dd><p>calculates the histograms</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>text_submit</strong> (<em>int</em>) – number of times button clickes</p></li>
<li><p><strong>click_submit</strong> (<em>int</em>) – number of time buttons clicked</p></li>
<li><p><strong>click_coor</strong> (<em>dictonary</em>) – dictonary with data that was clicked</p></li>
<li><p><strong>x_coord</strong> (<em>int</em>) – x coordinate</p></li>
<li><p><strong>y_coord</strong> (<em>int</em>) – y coordinate</p></li>
<li><p><strong>mc_simulation</strong> (<em>int</em>) – number of monte carlo simulation</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>returns a figure corresponding to the input</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>figure</p>
</dd>
<dt class="field-even">Raises<span class="colon">:</span></dt>
<dd class="field-even"><ul class="simple">
<li><p><strong>Error</strong> – x input has to be an integer between 1488990 and 1493491</p></li>
<li><p><strong>Error</strong> – y input has to be an integer between 5200290 and 5205750</p></li>
<li><p><strong>Error</strong> – coordinates need to be where flow is</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>


           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Jutta Siemons.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>